@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix gax-validation:  <https://schemas.abc-federation.gaia-x.community/wip/vocab/validation#> .

@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dct: <http://purl.org/dc/terms/> .
@prefix dcat: <http://www.w3.org/ns/dcat#> .
@prefix gax-core: <https://schemas.abc-federation.gaia-x.community/wip/vocab/core#> .
@prefix gax-node: <https://schemas.abc-federation.gaia-x.community/wip/vocab/node#> .
@prefix gax-resource: <https://schemas.abc-federation.gaia-x.community/wip/vocab/resource#> .
@prefix gax-participant: <https://schemas.abc-federation.gaia-x.community/wip/vocab/participant#> .
@prefix gax-service: <https://schemas.abc-federation.gaia-x.community/wip/vocab/service#> .
@prefix gax-compliance: <https://schemas.abc-federation.gaia-x.community/wip/vocab/compliance#> .
@prefix vcard: <http://www.w3.org/2006/vcard/ns#> .
@prefix did: <https://www.w3.org/TR/did-core/#> .
@prefix cred: <https://www.w3.org/2018/credentials/#> .

gax-validation:ProviderShape
	a sh:NodeShape ;
	sh:targetClass gax-participant:Provider ;
	sh:property [ sh:path gax-participant:hasLocations ;
				  sh:name "has locations" ;
				  sh:order 1 ;
				  sh:minCount 0 ;
				  sh:class gax-participant:Location ] ;
	sh:property [ sh:path gax-participant:hasServiceOffering ;
				  sh:name "has service offering" ;
				  sh:order 2 ;
				  sh:minCount 1 ;
				  sh:class gax-service:ServiceOffering ] ;
	sh:property [ sh:path gax-participant:hasDidWeb ;
				  sh:name "has did web" ;
				  sh:order 1 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:registrationNumber ;
				  sh:name "registration number" ;
				  sh:order 2 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:legalAddress ;
				  sh:name "legal address" ;
				  sh:order 3 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:node gax-validation:AddressShape ] ;
	sh:property [ sh:path gax-participant:headquarterAddress ;
				  sh:name "headquarter address" ;
				  sh:order 4 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:node gax-validation:AddressShape ] ;
	sh:property [ sh:path gax-participant:leiCode ;
				  sh:name "lei code" ;
				  sh:order 5 ;
				  sh:minCount 0 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:termsAndConditions ;
				  sh:name "terms and conditions" ;
				  sh:order 6 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:node gax-validation:TermsAndConditionsShape ] ;
.

gax-validation:AddressShape
	a sh:NodeShape ;
	sh:targetClass vcard:Address ;
	sh:property [ sh:path vcard:country-name ;
				  sh:name "country-name" ;
				  sh:order 1 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path vcard:gps ;
				  sh:name "gps" ;
				  sh:order 2 ;
				  sh:minCount 0 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path vcard:street-address ;
				  sh:name "street-address" ;
				  sh:order 3 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path vcard:postal-code ;
				  sh:name "postal-code" ;
				  sh:order 4 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path vcard:locality ;
				  sh:name "locality" ;
				  sh:order 5 ;
				  sh:datatype xsd:string ] ;
.

gax-validation:TermsAndConditionsShape
	a sh:NodeShape ;
	sh:targetClass gax-core:TermsAndConditions ;
	sh:property [ sh:path gax-core:Value ;
				  sh:name " value" ;
				  sh:order 1 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:anyURI ] ;
	sh:property [ sh:path gax-core:hash ;
				  sh:name "hash" ;
				  sh:order 2 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
.
